
# Script assumes you are in the same directory as rk-setup.bash when it is sourced

if [ "x$RK_HOME" != "x" ] ; then
    echo "Your Environment has already been set up for the Greenstone Release Kit!!"
    return 0    
fi

export RK_HOME="`pwd`"
export PATH="$RK_HOME/bin":$PATH

echo "Set RK_HOME and added RK_HOME/bin into PATH"

export RK_HOME_BACKSLASH_ESCAPED=`echo $RK_HOME | sed 's/ /\\\\ /g'`

export JAVACFLAGS="-source 1.8 -target 1.8 -bootclasspath $RK_HOME_BACKSLASH_ESCAPED/shared/core/java-rt/rt-openjdk8.jar -extdirs ''"

echo "Set JAVACFLAGS to compile for source, and to target, 1.8"
